[PATCH 04/11] Skip t3902-quoted.sh if the file system does not support funny names.

!MAILaRCHIVE_VOTE_RePLACE
Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: Junio C Hamano <gitster@...>
Cc: <git@...>, Johannes Sixt <johannes.sixt@...>
Date: Tuesday, November 13, 2007 - 4:04 pm

Signed-off-by: Johannes Sixt <johannes.sixt@telecom.at>
---
 t/t3902-quoted.sh |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/t/t3902-quoted.sh b/t/t3902-quoted.sh
index 245fb3b..73da45f 100755
--- a/t/t3902-quoted.sh
+++ b/t/t3902-quoted.sh
@@ -20,6 +20,13 @@ LF='
 '
 DQ='"'
 
+echo foo > "Name and an${HT}HT"
+test -f "Name and an${HT}HT" || {
+	# since FAT/NTFS does not allow tabs in filenames, skip this test
+	say 'Your filesystem does not allow tabs in filenames, test skipped.'
+	test_done
+}
+
 for_each_name () {
 	for name in \
 	    Name "Name and a${LF}LF" "Name and an${HT}HT" "Name${DQ}" \
-- 
1.5.3.5.1592.g0d6db

-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
[PATCH 04/11] Skip t3902-quoted.sh if the file system does n..., Johannes Sixt, (Tue Nov 13, 4:04 pm)
[PATCH 05/11] Use is_absolute_path() in sha1_file.c., Johannes Sixt, (Tue Nov 13, 4:05 pm)
Re: [PATCH 05/11] Use is_absolute_path() in sha1_file.c., Johannes Schindelin, (Tue Nov 13, 5:39 pm)
Re: [PATCH 05/11] Use is_absolute_path() in sha1_file.c., Johannes Sixt, (Tue Nov 13, 5:43 pm)
Re: [PATCH 05/11] Use is_absolute_path() in sha1_file.c., Robin Rosenberg, (Wed Nov 14, 5:57 pm)
Re: [PATCH 05/11] Use is_absolute_path() in sha1_file.c., Johannes Schindelin, (Tue Nov 13, 5:48 pm)